Bug 1677351 - cluster-logging-operator creates cluster logging in multiple namespaces when deployed via OLM
Summary: cluster-logging-operator creates cluster logging in multiple namespaces when ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-14 15:43 UTC by Jeff Cantrill
Modified: 2019-06-04 10:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:07 UTC
Github operator-framework community-operators pull 85 None None None 2019-02-20 16:32:48 UTC

Description Jeff Cantrill 2019-02-14 15:43:33 UTC
Because of the way CLO is deployed via OLM, it is configured to watch all namespaces which allows deployments of CL in undesired namespaces.  We must restrict CL to 'openshift-logging'.

Comment 1 Jeff Cantrill 2019-02-19 16:45:01 UTC
Lowering priority as this will be resolved by proper use of OperatorGroups

Comment 3 Anping Li 2019-03-08 07:14:12 UTC
Fixed in 4.0.0-0.nightly-2019-03-06-074438

Comment 6 errata-xmlrpc 2019-06-04 10:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.